EventHttpRequest::getCommand
EventHttpRequest::getHost
EventHttpRequest
PHP Manual

# EventHttpRequest::getConnection

(PECL event >= 1.8.0)

EventHttpRequest::getConnection — Returns EventHttpConnection object

### Description

public EventHttpConnection EventHttpRequest::closeConnection ( void )

Returns EventHttpConnection object which represents HTTP connection associated with the request.

Warning

Libevent API allows HTTP request objects to be not bound to any HTTP connection. Therefore we can't unambiguously associate EventHttpRequest with EventHttpConnection . Thus, we construct EventHttpConnection object on-the-fly. Having no information about the event base, DNS base and connection-close callback, we just leave these fields unset.

EventHttpRequest::getConnection() method is usually useful when we need to set up a callback on connection close. See EventHttpConnection::setCloseCallback() .

### Parameters

This function has no parameters.

### Return Values

Returns EventHttpConnection object.

### See Also

- EventHttpConnection::setCloseCallback() - Set callback for connection close
- EventHttpRequest::getBufferEvent() - Returns EventBufferEvent object

EventHttpRequest::getCommand
EventHttpRequest::getHost
EventHttpRequest
PHP Manual